Unarchive payment account
curl --request POST \
--url https://api.useaira.com/v1/payment-accounts/{id}/unarchive \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.useaira.com/v1/payment-accounts/{id}/unarchive"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.useaira.com/v1/payment-accounts/{id}/unarchive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedAt": "2023-11-07T05:31:56Z",
"legalEntity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessName": "<string>",
"taxId": "01234567000189",
"taxIdType": "cnpj",
"customFields": {
"customField1": "value1",
"customField2": [
"value2",
"value3"
]
},
"tradeName": "<string>",
"emails": [],
"zipCode": "<string>",
"street": "<string>",
"number": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "AC",
"country": "Brasil",
"complement": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"details": {},
"causations": [
{
"message": "<string>",
"code": "<string>",
"details": {}
}
]
}{
"message": "<string>"
}Payment Accounts
Unarchive payment account
Restores an archived payment account. Returns 400 when its tax ID now belongs to another active payment account.
POST
/
v1
/
payment-accounts
/
{id}
/
unarchive
Unarchive payment account
Authorizations
API Key Authentication.
Path Parameters
The unique identifier of the payment account in our system.
Response
Schema representing a payment account.
The unique identifier of the payment account in our system.
The unique identifier of the customer that owns the payment account.
Archive timestamp for payment accounts that were archived.
Schema representing a legal entity: the registered company or person behind payment accounts and issued invoices.
Show child attributes
Show child attributes